
doFile("Data/arenamodel.yindo")

ArenaModel := Object clone do(
    displayList := Nil

    draw := method(
	if (self displayList != Nil ) then (
	  glCallList(self displayList)
	)
	self displayList := glGenLists(1)
	glNewList(self displayList, GLCOMPILE)
	self directDraw
	glEndList
    )


    directDraw := method(
	arenamodel polygons foreach(i, poly,
	    glBindTexture(GLTEXTURE2D, texturesat(poly.texture))
	    glBegin(GLQUADS)
	    offset := 1
	    poly vertices foreach(i, vertex,
		glPolygonOffset(0, offset)
		if (offset == 1 ) then ( offset := 0 ) else ( offset := 1 )
		glNormal(1, 0, 0)
		glTexCoord(vertexat(4), vertexat(5))
		glVertex(vertexat(1), vertexat(2), vertexat(3))
	    ))
	    glPolygonOffset(0,0)
	    glEnd
	))
    )
)