
doFile("models/cyclemodel.yindo")

CycleModel := Object clone do(
    displayList := Nil

    draw := method(
	if (displayList != Nil ) then (
	  glCallList(displayList)
	  return self
	)
	 displayList = glGenLists(1)
	glNewList(self displayList, GLCOMPILE)
	directDraw
	glEndList
    )


    directDraw := method(
	verts := cycleModel MESHVERTEXLIST // MESHTVERTLIST
	faces := cycleModel MESHFACELIST //MESHTFACELIST
	textureVerts := cycleModel.MESHTVERTLIST
	normals := cycleModel.MESHNORMALS
	glPushMatrix
	glRotate(90, 0, 1, 0)
	glRotate(-90, 1, 0, 0)
	s := .0009
	glScale(s, s, s)
	//glDisable(GLTEXTURE)
	glColor(1,1,1,1)
	glBegin(GLTRIANGLES)
	i := 1
	max := getn(faces)-1

	//glBindTexture(GLTEXTURE2D, texturesat("rimwallc"))
	glBindTexture(GLTEXTURE2D, texturesat("bike"))
	glEnable(GLCULLFACE)

	while (i < max,
	    normal := normalsat(i*2-1)
	    glNormal(normalat(2), normalat(3), normalat(4))
	    face := facesat(i)
	    vNum, tv, v
	    vNum := faceat(2)+1
	    // textcoord x := front to back of bike?
	    tv := textureVertsat(vNum); glTexCoord(tvat(2), -tvat(3))
	    v := vertsat(vNum); glVertex(vat(2), vat(3), vat(4))

	    vNum := faceat(3)+1
	    tv := textureVertsat(vNum); glTexCoord(tvat(2), -tvat(3))
	    v := vertsat(vNum); glVertex(vat(2), vat(3), vat(4))

	    vNum := faceat(4)+1
	    tv := textureVertsat(vNum); glTexCoord(tvat(2), -tvat(3))
	    v := vertsat(vNum); glVertex(vat(2), vat(3), vat(4))
	    i := i + 1
	)
	glEnd
	//glEnable(GLTEXTURE)
	glDisable(GLCULLFACE)
	glPopMatrix
    )

)