
Wall := Object clone do(
    player := Nil
    height := .05
    x1 := 0
    z1 := 0
    x2 := 0
    z2 := 0
    length := 0

    player := method(aPlayer, player = aPlayer; self)

    x1z1 := method(x, z,
	x1 = x
	z1 = z
	length = (((x2-x) abs + (z2-z) abs) * 5)
    )

    x2z2 := method(x, z,
	x2 = x
	z2 = z
	length = (((x-x1) abs + (z-z1) abs) * 5)
    )

    x1z1x2z2 := method(
	return x1, z1, x2, z1
    )

    draw := method(r, g, b,
	glColor(r, g, b, .6)  
	textures rimwalld bindTexture
	glBegin(GLQUADS)

	if (x1 == x2, glNormal(1.0, 0.0, 0.0), glNormal(0.0, 0.0, 1.0))

	r := length
	h := player wallHeight

	glTexCoord(0, 0); glVertex(x1, 0, z1)
	glTexCoord(0, 1); glVertex(x1, h, z1)
	glTexCoord(r, 1); glVertex(x2, h, z2)
	glTexCoord(r, 0); glVertex(x2, 0, z2)
	glEnd

	//glTexEnv(GLTEXTUREENV, GLTEXTUREENVMODE, GLDECAL)
	//glDisable(GLBLEND)
	glColor(1,1,1,1)  
    )

)



