
IRCClient := Object clone do(
    socket := Socket clone
    nickName := "echobot"
    userName := nickName
    userEmail := nickName .. "@foo.com"
    channel := "io"

    connect := method(
	socket setReadTimeout(60*60*24)
	SocketManager setSelectTimeout(0)
	Object setSchedulerSleepSeconds(0)
	socket setHost("66.111.60.71") setPort(6667) connect
	if (socket error, writeln(socket error); exit)
	socket write("NICK ", nickName, "\r\n")
	socket write("USER " .. userName .. " 0 0 " .. userEmail .. "\r\n")
	socket write("JOIN #" .. channel .. "\r\n")

	socket read
	socket readBuffer empty
	
	while (socket isOpen,
	    socket read
	    if (socket readBuffer size != 0, 
		try(
		    reply := handleMessage(socket readBuffer asString)
		) catch(Exception, e, 
		    reply := e backTraceString
		)
		if (reply, socket write("PRIVMSG #" .. channel .. " : " .. reply .. "\r\n"))
		socket readBuffer empty
	    )
	)
    )
    
    handleMessage := method(msg,
	msg = msg afterSeq("PRIVMSG #") afterSeq(":")
	if (msg contains(nickName .. ":"), 
		msg = msg replace(nickName .. ":", "")		
		return msg
	)
	Nil
    )

)

Nil after := method("")

IRCClient @@connect
while(activeCoroCount > 1, yield)

