Lib clone do(
    if(platform == "netbsd",
		dependsOnFramework("Carbon")
		dependsOnInclude("/usr/pkg/include")
		dependsOnInclude("/usr/X11R6/include")
    )

    if(list("cygwin") contains(platform), 
		dependsOnInclude("libs/freeglut/_include")
    )

    build := method(
		resend
		trySystemCall("cd ffmpeg; make")
		trySystemCall("cp ffmpeg/*/lib*.a _libs")
		trySystemCall("ranlib _libs/*.a")
		trySystemCall("cp ffmpeg/_include/* _includes")
    )
    
    clean := method(
		resend
		trySystemCall("cd ffmpeg; make clean")
		trySystemCall("cd ffmpeg; rm ffmpeg ffmpeg_g output_example qt-faststart")
    )

    configure := method(
		resend
		systemCall("chmod +x ffmpeg/configure")
		systemCall("cd ffmpeg; ./configure --disable-vhook --disable-ffserver")
    )
)
