/* Io Calculator - 2004 Mike Austin */

autoImportResources

Button textColor = Color clone set(1, 1, 1, 1)

Application setTitle("Calc")
Application mainWindow resizeTo(256, 192)

text := TextField clone do (position set(0, 160); size set(256, 32))
text setString(0 asString)
Application mainWindow addSubview(text)

Calculator := Object clone do(
  mem    := "0"
  operat := "+"
  entry  := 0

  pushButton := method(button,
    title := button title
  
    if(title == "C") then(
	  mem = "0"
	  text setString("0")
	  entry = 0
	) elseif(title == "+" or title == "-" or title == "*" or title == "/") then(
	  num := doString((mem .. " " .. operat .. " " .. text string) asString)
	  text setString(num asString)
	  mem = text string asString
	  operat = title
	  entry = 0
	) elseif(title == "=") then(
	  num := doString((mem .. " " .. operat .. " " .. text string) asString)
	  text setString(num asString)
	  mem = "0"
	  operat = "+"
	  entry = 0
	) else(
	  if(entry == 1) then(
	    text setString((text string .. title) asString)
	 ) else(
	    text setString(title)
	    entry = 1
	 )
   )
 )
)

CalcButton := Button clone do (
  size set(63, 32)
  setActionTarget(Calculator)
  setAction("pushButton")

  set := method (title, x, y,
    setTitle(title)
    position set(x, y)
    self
 )
  
  drawOutline2 := method(
  	glColor4d(1,1,1,1)
  	size drawLineLoopi
 )

)

Application mainWindow do (
  addSubview(CalcButton clone set("0",   0,  0))
  addSubview(CalcButton clone set(".",  64,  0))
  addSubview(CalcButton clone set("=", 128,  0))
  addSubview(CalcButton clone set("1",   0, 32))
  addSubview(CalcButton clone set("2",  64, 32))
  addSubview(CalcButton clone set("3", 128, 32))
  addSubview(CalcButton clone set("4",   0, 64))
  addSubview(CalcButton clone set("5",  64, 64))
  addSubview(CalcButton clone set("6", 128, 64))
  addSubview(CalcButton clone set("7",   0, 96))
  addSubview(CalcButton clone set("8",  64, 96))
  addSubview(CalcButton clone set("9", 128, 96))
  addSubview(CalcButton clone set("+", 192, 96))
  addSubview(CalcButton clone set("C", 192, 128))
  addSubview(CalcButton clone set("-", 192, 64))
  addSubview(CalcButton clone set("*", 192, 32))
  addSubview(CalcButton clone set("/", 192,  0))
)

Application run
