

Application := GLObject clone do(

    fonts := Object clone do(
		system := Object clone do(
			normal := FontManager item("Free/Sans/Normal") setPixelSize(13)
			bold   := FontManager item("Free/Sans/Bold") setPixelSize(13)
			//big := FontManager item("Free/Sans/Bold") clone setPixelSize(32)
		)
    )
    
    newSlot("mainWindow", OSWindow clone)
    newSlot("windows", List clone)
    newSlot("title", "")
    newSlot("firstResponder", Nil)
    
    setTitle := method(title,
    	mainWindow setTitle(title)
    )
    
    init := method(
		setMainWindow(OSWindow clone)
		setWindows(List clone)
    )

    // --- Windows -------------

    newWindow := method(
		addWindow(OSWindow clone)
    )
    
    addWindow := method(window,
		window setApplication(self)
		windows append(window)
    )

    // --- run ---------------------------------
    
    run := method(
    	mainWindow setApplication(self)
		glutInit
		mainWindow open
		glutMainLoop
    )
    
    
    // --- Timer Events -------------

    addTimerTargetWithDelay := method(target, delay,
		mainWindow addTimerTargetWithDelay(target, delay)
    )

    removeTimerWithTarget := method(target, 
		mainWindow removeTimerWithTarget(target)
    )
)

