Point := Vector clone setSize(2) 
Color := Vector clone setSize(4)

Box copy := method(box,
    self origin copy(box origin)
    self size copy(box size)
)

Sequence asVector := method(Vector clone copy(self))

vector := method(
	v := Vector clone setSize(0)
	call message arguments foreach(i, arg, 
		v atPut(i, call sender doMessage(arg))
	)
	v
)

Vector asString := method(
	b := Sequence clone
	b appendSeq("vector(")
	sizeMinusOne := size - 1
	for (i, 0, sizeMinusOne,
		b appendSeq(self at(i) asString)
		if (i != sizeMinusOne, b appendSeq(", "))
	)
	b appendSeq(")")
	b asString
)

Vector print := method(self asString print)

