/*
docCopyright("Steve Dekorte", 2002)
docLicense("BSD revised")
*/

#ifndef GLINCLUDES_DEFINED
#define GLINCLUDES_DEFINED 1


#include <setjmp.h>

#if defined(__APPLE__) || defined(MACOSX)
  #include <GLUT/glut.h>
  #include <OpenGL/glu.h>
  #include <OpenGL/gl.h>
#else 

#ifndef _WIN32

  #include <GL/glut.h>
  #include <GL/glu.h>
  #include <GL/gl.h>
#else
#include <windows.h>

#include <GL/gl.h> 
#include <GL/glut.h>
#include <GL/glu.h>

#define GL_CONSTANT_COLOR                 0x8001
#define GL_ONE_MINUS_CONSTANT_COLOR       0x8002
#define GL_CONSTANT_ALPHA                 0x8003
#define GL_ONE_MINUS_CONSTANT_ALPHA       0x8004
#define GL_BLEND_COLOR                    0x8005

#endif
#endif


#endif
