/*
docCopyright("Steve Dekorte", 2002)
docLicense("BSD revised")
*/

#ifndef IOPOINT_GL_DEFINED
#define IOPOINT_GL_DEFINED 1

#include "IoState.h"
#include "IoVector.h"

void  IoVector_glInit(IoState *state, IoObject *context);

IoObject *IoVector_glNormal(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_glTranslate(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_glTranslatei(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_glRotate(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_glScale(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_glUnproject(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_glProject(IoVector *self, IoObject *locals, IoMessage *m);

IoObject *IoVector_drawLineTo(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_drawLineLoopTo(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_drawQuadTo(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_drawLineLoop(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_drawLineLoopi(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_drawQuad(IoVector *self, IoObject *locals, IoMessage *m);

IoObject *IoVector_glVertex(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_glColor(IoVector *self, IoObject *locals, IoMessage *m);

/* --- vector stuff --- */

IoObject *IoVector_drawAsLine(IoVector *self, IoObject *locals, IoMessage *m);
IoObject *IoVector_drawFilled(IoVector *self, IoObject *locals, IoMessage *m);

#endif
