Binding clone do(
    if(platform == "darwin",
	dependsOnFramework("Foundation")
	dependsOnFramework("GLUT")
	dependsOnFramework("OpenGL")
	dependsOnFramework("Carbon")
    )

    if(platform == "linux",
	//dependsOnLib("Xi") 
	//dependsOnLib("Xmu") 
	//dependsOnInclude("opengl")
	appendLibSearchPath("/usr/X11R6/lib")
	appendLibSearchPath("/usr/lib/")
	dependsOnLib("GL")
	dependsOnLib("GLU")
	dependsOnLib("glut")
    )

    if(platform == "netbsd",
	dependsOnInclude("/usr/X11R6/include")
	dependsOnInclude("/usr/pkg/include")

	appendLibSearchPath("/usr/pkg/lib/")
	dependsOnLib("GL")
	dependsOnLib("GLU")
	dependsOnLib("glut")
    )

    if(platform == "mingw",
	dependsOnLib("opengl32")
	dependsOnLib("glu32")
	dependsOnLib("glut32") 
	dependsOnLib("winmm")
    )

    if(platform == "cygwin",
	dependsOnLib("winmm")
	dependsOnLib("gdi32") 
	dependsOnLib("opengl32")
	dependsOnLib("glu32")
	dependsOnLib("glut32")
	dependsOnInclude("bindings/Freeglut/freeglut-2.2.0/include")
    )

)
