
doFile("models/cyclemodel.yindo")

Explosion := Object clone do(
    t := 1, 
    maxT := 20, 
    position := Nil,
    rotY := 90,
    size := .4,  


    init := method(
	self t := 0 
	self position := Point clone
    )

    positionreturn  := method(self position)
    rotY  := method(angle,  rotY = angle; self)

    drawOld  := method(
	glPushMatrix
	position glTranslate
	s :=  t
	glScale(s, s, s)
	glDisable(GLTEXTURE)
	glColor(1,1,1,1)

	glBegin(GLLINES)
	glVertex(0,0,0)
	glVertex(1,.1,.1)

	glVertex(0,0,0)
	glVertex(1,1,.1)

	glVertex(0,0,0)
	glVertex(1,1,1)

	glVertex(0,0,0)
	glVertex(1,.1,1)

	glVertex(0,0,0)
	glVertex(.1,1,1)
	glEnd
	glEnable(GLTEXTURE)

	glPopMatrix
    )


    draw := method(
	glBlendFunc(GLSRCALPHA, GLONE)	
	glEnable(GLBLEND)

	glPushMatrix
	self position:translate

	glBindTexture(GLTEXTURE2D, texturesat("gltroncrash"))
	glRotate(self rotY, 0, 1, 0)
	glPolygonOffset(0, 1)
	self justDraw
	glPolygonOffset(0, 0)
	glPopMatrix
	glDisable(GLBLEND)
    )

    justDraw  := method(
	glBegin(GLQUADS)
	glNormal(1.0, 0.0, 0.0)
	s :=  size * self t / self maxT
	glTexCoord(0, 0);  glVertex(-s, 0, 0)
	glTexCoord(0, -1); glVertex(-s, s*2, 0)
	glTexCoord(-1,-1); glVertex(s, s*2, 0)
	glTexCoord(-1, 0); glVertex(s, 0, 0)
	glEnd
    )



    timeStep := method(
	 t =  t + 1
	if ( t >  maxT ) then (destroy)
    )

    destroyArena  := method(removeObject(self))
)