// Tron Light Cycle demo
// Steve Dekorte @Yindo.com, 2001



// main ////////////////////////////////////////////////////

main  := method(
    glutInitDisplayMode(GLUTDOUBLE)
    glutInitWindowSize(500, 500)
    glutInitWindowPosition(100, 100)
    glutCreateWindow("Light Cycle Arena")
    Arena InitGL
    Arena newGame
    
    glutDisplayFunc(drawGLScene)
    glutReshapeFunc(resizeGLScene)
    glutTimerFunc(1, timer, 1)
    glutKeyboardFunc(Keyboard)
    glutSpecialFunc(Special)
    glutMainLoop
)

checkErrors  := method(( functionName,
     lasterror := glGetError
    if (lasterror == 0 ) then ( return )
    if (functionName == Nil ) then ( functionName := "unknown function" )

    if (lasterror == GLINVALIDENUM  ) then (
        print( "Invalid Data Type in "..functionName )
    elseif (lasterror == GLINVALIDVALUE  ) then (
        print( "Invalid Parameter in "..functionName )
    elseif (lasterror == GLINVALIDOPERATION  ) then (
        print( "Invalid Operation in "..functionName )
    )
)


main
