
Echo := Object clone do(
    handleSocketFromServer := method(aSocket, aServer,
	write("[Got echo connection from ", aSocket host, "]\n")
	aSocket setReadTimeout(60*60)
	while(aSocket isOpen, 
	    if(aSocket read, 
		data := aSocket readBuffer
		writeln(aSocket host, " echoing :", data)
		aSocket write(data)
	    )
	    aSocket readBuffer empty
	)
	write("[Closed ", aSocket host, "]\n")
    )
)

write("[Starting echo server on port 8456]\n")

server := Server clone do(
	setPort(8456)
	handleSocket := method(aSocket,
		Echo clone @handleSocketFromServer(aSocket, self)
	)
)
server start
