
DOTest := UnitTest clone do(
	disabled_testDO := method(
		Root := Object clone
		Root test := method(v, write("got test '", v, "'\n"); return list(1))

		doServer := DOServer clone
		doServer setRootObject(Root)
		doServer setPort(8456)
		doServer coroDo(start)
		yield
		
		con := DOConnection clone setHost("127.0.0.1") setPort(8456) connect
		
		con ifNil(Exception raise("Error: unable to connect\n"))
		
		result := con serverObject test(1)
		write("result := ", result, "\n")
		
		r := result at(0)
		write("result at(0) := ", r, "\n")
		
		r := result at(1)
		write("result at(1) := ", r, "\n")
	)
) 