/*
docCopyright("Steve Dekorte", 2002)
*/

#ifndef IOSIMPLE_DEFINED
#define IOSIMPLE_DEFINED 1

#include <IoObject.h>
#include <IoNumber.h>

#define ISSIMPE(self) IoObject_hasCloneFunc_(self, (TagCloneFunc *)IoSimple_rawClone)

typedef IoObject IoSimple;

IoSimple *IoSimple_rawClone(IoSimple *self);
IoSimple *IoSimple_proto(void *state);
IoSimple *IoSimple_new(void *state);

void IoSimple_free(IoSimple *self);
void IoSimple_mark(IoSimple *self);

IoObject *IoSimple_message(IoSimple *self, IoObject *locals, IoMessage *m);

#endif
