
VScroller := HScroller clone do(
    protoName := "VScroller"
    resizeWidth  := 011
    resizeHeight := 101
    axis         = "y"
    setAxis      = "setY"
    otherAxis    = "x"
    setOtherAxis = "setX"
    defaultValue = 1

    knob = VKnob clone

    setXProportion := method(Nop)
    setYProportion := method(p, setProportion(p))
    
    textures := TextureGroup clone loadGroupNamed("Scroller/Vertical")
    draw := method(textures draw(width, height))
    size setWidth(textures top width)
)